cc.funkemunky.api.tinyprotocol.packet.types

## Class MathHelper

- java.lang.Object
- - cc.funkemunky.api.tinyprotocol.packet.types.MathHelper

    public class MathHelper
    extends java.lang.Object

### Field Summary

Fields
`static float` `a`

### Constructor Summary

Constructors
Constructor and Description
`MathHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static double` `a(double var0, double var2)`
`static double` `a(double var0, double var2, double var4)`
`static float` `a(float var0, float var1, float var2)`
`static int` `a(int var0)`
`static double` `a(long[] var0)`
`static java.util.UUID` `a(java.util.Random var0)`
`static double` `a(java.util.Random var0, double var1, double var3)`
`static float` `a(java.util.Random var0, float var1, float var2)`
`static double` `a(java.lang.String var0, double var1)`
`static double` `a(java.lang.String var0, double var1, double var3)`
`static int` `a(java.lang.String var0, int var1)`
`static int` `a(java.lang.String var0, int var1, int var2)`
`static double` `b(double var0, double var2)`
`static double` `b(double var0, double var2, double var4)`
`static int` `b(int var0)`
`static double` `c(double var0, double var2, double var4)`
`static float` `c(float var0)`
`static int` `c(int var0)`
`static int` `c(int var0, int var1)`
`static int` `clamp(int var0, int var1, int var2)`
`static float` `cos(float var0)`
`static long` `d(double var0)`
`static int` `d(float var0)`
`static float` `e(float var0)`
`static int` `f(double var0)`
`static int` `f(float var0)`
`static int` `floor(double var0)`
`static double` `g(double var0)`
`static float` `g(float var0)`
`static double` `i(double var0)`
`static int` `nextInt(java.util.Random var0, int var1, int var2)`
`static float` `sin(float var0)`
`static float` `sqrt(double var0)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### a

    public static final float a

### Constructor Detail

#### MathHelper

    public MathHelper()

### Method Detail

#### sin

    public static float sin(float var0)

#### cos

    public static float cos(float var0)

#### c

    public static float c(float var0)

#### sqrt

    public static float sqrt(double var0)

#### d

    public static int d(float var0)

#### floor

    public static int floor(double var0)

#### d

    public static long d(double var0)

#### e

    public static float e(float var0)

#### a

    public static int a(int var0)

#### f

    public static int f(float var0)

#### f

    public static int f(double var0)

#### clamp

    public static int clamp(int var0,
                            int var1,
                            int var2)

#### a

    public static float a(float var0,
                          float var1,
                          float var2)

#### a

    public static double a(double var0,
                           double var2,
                           double var4)

#### b

    public static double b(double var0,
                           double var2,
                           double var4)

#### a

    public static double a(double var0,
                           double var2)

#### nextInt

    public static int nextInt(java.util.Random var0,
                              int var1,
                              int var2)

#### a

    public static float a(java.util.Random var0,
                          float var1,
                          float var2)

#### a

    public static double a(java.util.Random var0,
                           double var1,
                           double var3)

#### a

    public static double a(long[] var0)

#### g

    public static float g(float var0)

#### g

    public static double g(double var0)

#### a

    public static int a(java.lang.String var0,
                        int var1)

#### a

    public static int a(java.lang.String var0,
                        int var1,
                        int var2)

#### a

    public static double a(java.lang.String var0,
                           double var1)

#### a

    public static double a(java.lang.String var0,
                           double var1,
                           double var3)

#### b

    public static int b(int var0)

#### c

    public static int c(int var0)

#### c

    public static int c(int var0,
                        int var1)

#### a

    public static java.util.UUID a(java.util.Random var0)

#### c

    public static double c(double var0,
                           double var2,
                           double var4)

#### b

    public static double b(double var0,
                           double var2)

#### i

    public static double i(double var0)